> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Technical Service Ticket



## OpenAPI

````yaml /open-api/api-docs.yml post /techservice/ticket/add
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /techservice/ticket/add:
    post:
      tags:
        - CRM Ticket Api
      summary: Add Technical Service Ticket
      operationId: addTechServiceTicketUsingPOST
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
      requestBody:
        description: addTechServiceTicketRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddTechServiceTicketRequest'
        required: true
      responses:
        '200':
          description: Technical Ticket Success Added.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddTechServiceTicketResponse'
        '201':
          description: Created
          content: {}
        '400':
          description: ApiErrorResponse model bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    AddTechServiceTicketRequest:
      title: AddTechServiceTicketRequest
      required:
        - description
        - organizationId
        - ticketType
      type: object
      properties:
        description:
          type: string
          description: ticket description
          example: Ticket description
        subscriptionId:
          type: integer
          description: Subscription Id
          format: int64
          example: 129584
        organizationId:
          type: integer
          description: Organization Id.
          format: int64
          example: 32327
        ticketType:
          type: integer
          description: Ticket type.
          format: int32
    AddTechServiceTicketResponse:
      title: AddTechServiceTicketResponse
      type: object
      properties:
        id:
          type: integer
          description: Ticket id
          format: int64
          example: 297290
        active:
          type: string
          description: Ticket status
          example: 'true'
        subscriptionNo:
          type: string
          description: Subscription no
          example: ABN-36519
        subscriptionId:
          type: string
          description: Subscription id
          example: '129584'
        serviceNo:
          type: string
          description: Service no
          example: SER-179324
        organizationName:
          type: string
          description: Organization name
          example: SELAHATTİN BOYACI
        organizationId:
          type: string
          description: Organization id
          example: '42265'
        systemCategory:
          type: string
          description: System category
          example: ALARM
        serviceType:
          type: string
          description: Service type
          example: Servis
        operationType:
          type: string
          description: Operation type
        processStage:
          type: string
          description: Process stage
          example: Kayıt
        head:
          type: string
          description: Head
          example: Title Content
        description:
          type: string
          description: Description
          example: Title Description
        appealDate:
          type: string
          description: Appeal date
          example: '2022-03-29T12:36:02.437Z'
        startDate:
          type: string
          description: Start date
          example: '2022-03-29T12:36:02.437Z'
        finishDate:
          type: string
          description: Finish date
          example: '2023-03-29T12:36:02.437Z'
        serviceAddress:
          type: string
          description: Service address
          example: ADRES
        serviceCity:
          type: string
          description: Service city
          example: İSTANBUL(Anadolu)
        serviceCounty:
          type: string
          description: Service county
          example: MALTEPE
      description: Request Model for add tech ticket to crm
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model

````